﻿using Microsoft.Maui.Controls;
using RobobinApp.Views;

namespace RobobinApp
{
    public partial class AppShell : Shell
    {
        public AppShell()
        {
            InitializeComponent();

            // Conditionally add ShellContent based on the platform
#if WINDOWS
            Items.Add(new ShellContent
            {
                ContentTemplate = new DataTemplate(typeof(MainPage))
            });
#elif ANDROID
            Items.Add(new ShellContent
            {
                ContentTemplate = new DataTemplate(typeof(MainPage_Android))
            });
#else
            // Fallback if you need it for other platforms
            Items.Add(new ShellContent
            {
                ContentTemplate = new DataTemplate(typeof(MainPage_Default))
            });
#endif
        }
    }
}
